//Robo Cup  Commentater  
import java.awt.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;

//
//ɽѥͥ
//

public class TeamInfoPanel extends Panel {

//
//
//GUI
//
//
	Label leftTeamNameLabel = new Label("TEAM LEFT", Label.LEFT);	
	Label rightTeamNameLabel = new Label("TEAM RIGHT", Label.RIGHT);
	Label dummy1 = new Label("");

	Panel northPanel;	
	Panel centerPanel;
	Panel southPanel;
	
	Checkbox kickCheckboxL;
	Checkbox kickCheckboxR;
	Label kickLabelL;
	Label kickLabelR;
	
	Checkbox passCheckboxL;
	Checkbox passCheckboxR;
	Label passLabelL;
	Label passLabelR;

        Checkbox interceptCheckboxL;
	Checkbox interceptCheckboxR;
	Label interceptLabelL;
	Label interceptLabelR;

    //   Vector checkboxVector;


    /*
	Checkbox pass12CheckboxL;
	Checkbox pass12CheckboxR;
	Label pass12LabelL;
	Label pass12LabelR;
    */

	Button locusButton = new Button("LOCUS");

    CheckboxGroup cg = new CheckboxGroup();



//
//
//ȤʬϤ줿ǡ
//
//	
	AnalyzeInfo ai;

    MainPanel mw;



	public TeamInfoPanel(AnalyzeInfo ai,MainPanel mw){
	
		this.ai = ai;
		this.mw = mw;

		setLayout(new BorderLayout());
		setBackground(Color.lightGray);

		northPanel = new Panel();
		northPanel.setLayout(new FlowLayout());		

		centerPanel = new Panel();
		centerPanel.setLayout(new GridLayout(3, 4));

		southPanel = new Panel();
		southPanel.setLayout(new FlowLayout());		

		init();

		//
		//ѥͥ"north"add
		//
		
		northPanel.add(leftTeamNameLabel);				
		northPanel.add(rightTeamNameLabel);
		
		add("North", northPanel);
		//
		//ѥͥ"center"add
		//
		centerPanel.add(kickCheckboxL);
		centerPanel.add(kickLabelL);
		centerPanel.add(kickCheckboxR);
		centerPanel.add(kickLabelR);
		
		centerPanel.add(passCheckboxL);
		centerPanel.add(passLabelL);
		centerPanel.add(passCheckboxR);
		centerPanel.add(passLabelR);

		centerPanel.add(interceptCheckboxL);
		centerPanel.add(interceptLabelL);
		centerPanel.add(interceptCheckboxR);
		centerPanel.add(interceptLabelR);

		/*
		centerPanel.add(pass12CheckboxL);
		centerPanel.add(pass12LabelL);
		centerPanel.add(pass12CheckboxR);
		centerPanel.add(pass12LabelR);
		*/
		add("Center", centerPanel);

		//
		//ѥͥ"center"add
		//
		//southPanel.add(replayButton);
		southPanel.add(locusButton);
		ButtonAdapter ba = new ButtonAdapter();
		locusButton.addActionListener(ba);

		
		add("South", southPanel);



	}

	protected void init(){

	        

		leftTeamNameLabel = new Label(ai.getTeamName(CParam.CType_LEFT).trim(), Label.CENTER);	
		rightTeamNameLabel = new Label(ai.getTeamName(CParam.CType_RIGHT).trim(), Label.CENTER);

		CheckboxAdapter ca = new CheckboxAdapter();


		kickCheckboxL = new Checkbox("KICK",false,cg);
		//	kickCheckboxL.setCheckboxGroup(cg);
		kickCheckboxL.addItemListener(ca);

		kickCheckboxR = new Checkbox("KICK",false,cg);
		//kickCheckboxR.setCheckboxGroup(cg); 
		kickCheckboxR.addItemListener(ca);

		//kickLabelL = new Label("KICK");
		//kickLabelR = new Label("KICK");

		//kickLabelL = new Label((new Integer(1)).toString);
		//kickLabelR = new Label((new Integer(2)).toString);
		

		kickLabelL = new Label((new Integer(ai.kickAna.getTotalLeftKick())).toString());
		kickLabelR = new Label((new Integer(ai.kickAna.getTotalRightKick())).toString());
	
		passCheckboxL = new Checkbox("PASS",false,cg);
		//passCheckboxL.setCheckboxGroup(cg);
		passCheckboxL.addItemListener(ca);
	passCheckboxR  = new Checkbox("PASS",false,cg);	
	//passCheckboxR.setCheckboxGroup(cg);
		passCheckboxR.addItemListener(ca);

		passLabelL = new Label(new Integer(ai.passAna.getTotalLeft()).toString());
		passLabelR = new Label(new Integer(ai.passAna.getTotalRight()).toString());

		interceptCheckboxL = new Checkbox("INTERCEPT",false,cg);
		//interceptCheckboxL.setCheckboxGroup(cg);
		interceptCheckboxL.addItemListener(ca);
		interceptCheckboxR  = new Checkbox("INTERCEPT",false,cg);
		//interceptCheckboxR.setCheckboxGroup(cg);
		interceptCheckboxR.addItemListener(ca);

		interceptLabelL = new Label(new Integer(ai.passAna.getTotalInterceptLeft()).toString());
		interceptLabelR = new Label(new Integer(ai.passAna.getTotalInterceptRight()).toString());

		/*
		pass12CheckboxL = new Checkbox("1-2PASS");
		pass12CheckboxR = new Checkbox("1-2PASS");

		pass12LabelL = new Label("1");
		pass12LabelR = new Label("5");
		*/
	
	}
    /*********************************************************/
    /*   åܥåå줿Ȥν          */
    /*********************************************************/

    class CheckboxAdapter implements ItemListener {

	public void itemStateChanged(ItemEvent ie){


	}

    }

    /*********************************************************/
    /*      ܥ󤬲줿Ȥν                      */
    /********************************************************/

    class ButtonAdapter implements ActionListener {

	CField field;
	Vector v;
	Pass pass;

	public void actionPerformed(ActionEvent e){

	    Checkbox c = cg.getSelectedCheckbox();

	    field = mw.getCField();
	    field.clearGraphicsBuffer();
	    field.createGraphicsBuffer();

	    if (c.equals(passCheckboxL)){

		drawPass(CParam.CType_LEFT);

	    }else if(c.equals(passCheckboxR)){

		drawPass(CParam.CType_RIGHT);

	    }
	}
	  
	    private void drawPass(short side){

		v = ai.passAna.getPassVector();

                for (int i = 0; i < v.size(); i ++){

                    pass = (Pass)v.elementAt(i);

                    if ( (side == CParam.CType_LEFT &&  pass.passerUnum <= 10)
			||	(side == CParam.CType_RIGHT && pass.passerUnum >=11)){

                        double x1,x2,y1,y2;

                        x1 =  CParam.InFieldPosX((double)pass.passX/CParam.SHOWINFO_SCALE);
                        x2 =  CParam.InFieldPosX((double)pass.recvX/CParam.SHOWINFO_SCALE);
                        y1 =  CParam.InFieldPosY((double)pass.passY/CParam.SHOWINFO_SCALE);
                        y2 =  CParam.InFieldPosY((double)pass.recvY/CParam.SHOWINFO_SCALE);

                        System.out.println(x1);
                        System.out.println(y1);

                        field.drawPassLocus(x1,y1,x2,y2,Color.white);

		    
		    }
		}
	    }

    }
    
}

		


	


	

