//Robo Cup  Commentater  
import java.awt.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;
import java.text.*;

public class AnalyzeInfo extends ReplayInfo{
	 	
    /***********************************************/
    /*                 field                       */
    /***********************************************/

	AnalyzedPlayer anaPlayer[] = new AnalyzedPlayer[22]; 
	int shihaiLeft = 0,shihaiRight=0, play_on_time = 0, play_off_time = 0;			
	int maxtime;
	
	int index;

	KickAnalyzer kickAna;
	PassAnalyzer passAna;	
	PlayModeAnalyzer pmAna;

	Vector kabePassBuffer;

	String	logName;

	public int beforeScoreL = 0;	
	public int beforeScoreR = 0;	
	
	String pmode0;
	boolean changePlayMode;

        FileOutputStream fo;
        PrintWriter      fop;

    /********************************************************/
    /*                 constructor                          */
    /********************************************************/
    
  	AnalyzeInfo(String logName){

		super();
		
		this.logName = logName;	

		for(int i = 0; i <= 21; ++i)  {

			anaPlayer[i] = new AnalyzedPlayer(player[i]);			

		}

		//kickBuff[0] = -1;

		kickAna = new KickAnalyzer(this);
		passAna = new PassAnalyzer(kickAna.getKickVector());
		pmAna   = new PlayModeAnalyzer(this); 

	}

    /**********************************************************/
    /*                     methods                            */
    /*********************************************************/

	void drawAll(Graphics g){


		for (int i = 0; i <= 21; ++i){
			
			player[i].drawPlayer(g);
		}	
		
		cball.drawBall(g);
	}


	public void analyze(){

		if (pmode.equals(pmode0)){		
			
			changePlayMode = true;
		
		}		
		else {
		
			changePlayMode = false;

		}


		System.out.println("kickmember" + kickMember );

		//աpmAna  kickAnaʬϤ뤳
		kickAna.analyze();

		pmAna.analyze();

		//System.out.println("isContinuousPlay "+	pmAna.isContinuousPlay());

		if(kickAna.changed() && (!pmAna.changed()) && (pmAna.isContinuousPlay())){

			passAna.analyze();	

		}

	}

	public void clearKickMember(){

		kickMember = -1;

	}


    /***********************************************/
    /*          Ϸ̤¸롣               */
    /***********************************************/

	public void saveAnalyzeInfo(String filename){


                try{
                        fo = new FileOutputStream(filename);
           		fop = new PrintWriter(fo);      

			writeTeamAnalysis(fop);

			fop.close();
			fo.close();


		}catch(IOException e){

			e.printStackTrace();

		}

	}

	public void saveAnalyzeInfo2(String filename){


                try{
                        fo = new FileOutputStream(filename);
           		fop = new PrintWriter(fo);      

			writePlayerAnalysis(fop);

			fop.close();
			fo.close();


		}catch(IOException e){

			e.printStackTrace();

		}

	}


        //for evaluation(detail)
        private void writePlayerAnalysis(PrintWriter fop) throws IOException{

		//memo:
		//϶̲Ǥ
		//

		short evaTeam = 0;
                short oppTeam = 0;


                System.out.println(getTeamName((int)CParam.CType_RIGHT).compareTo(CParam.oppTeamName));

                 System.out.println(getTeamName((int)CParam.CType_LEFT).compareTo(CParam.oppTeamName));

		
		//
		 if ((getTeamName((int)CParam.CType_RIGHT).compareTo(CParam.oppTeamName) == 6) &&  (getTeamName((int)CParam.CType_LEFT).compareTo(CParam.oppTeamName) == 6)){

		     //ξबƱ̾ΤȤν
		     //ɾ,right¦ 

		     evaTeam = CParam.CType_RIGHT;
		     oppTeam = CParam.CType_LEFT;

		     System.out.println("opponent team is left");

		}

                if ((getTeamName((int)CParam.CType_RIGHT).compareTo(CParam.oppTeamName)) == 0){

                        evaTeam = CParam.CType_LEFT;
                        oppTeam = CParam.CType_RIGHT;

                        System.out.println("opponent team is right");

                }else if ((getTeamName((int)CParam.CType_LEFT).compareTo(CParam.oppTeamName)) == 0){

                        evaTeam = CParam.CType_RIGHT;
                        oppTeam = CParam.CType_LEFT;

                        System.out.println("opponent team is left");

                }else{

                        String s = CParam.oppTeamName+getTeamName((int)CParam.CType_LEFT)+getTeamName((int)CParam.CType_RIGHT);

                        throw new IllegalArgumentException("illegal param "+s);

		}

		/**************************/
		/*        header          */
		/**************************/

                fop.print(getTeamName(evaTeam));
                fop.print("\t");
		fop.print("kick");
		fop.print("\t");
                fop.print("pass");
                fop.print("\t");
                fop.print("pass receive");
                fop.print("\t");		
                fop.print("intercept");
                fop.print("\t");
                fop.print("Dist");
                fop.print("\t");
                fop.print("Ave.X");
                fop.print("\t");
                fop.print("Ave.Y");
                fop.print("\t");
                fop.print("Var.X");
                fop.print("\t");
                fop.println("Var.Y");

		/**************************/
		/*    players data        */
		/**************************/
	
		int base;

		if (evaTeam == CParam.CType_LEFT){

			base = 0;

		}else {
			base = 11;
		}

		for (int i = 0; i <= 10; i++){
						
			if (anaPlayer[base+i].player.disable){
		
				fop.print((i+1)+"*");

			}else{
				fop.print(i+1);
			}
			fop.print("\t");

		
			fop.print(kickAna.getPlayerKick(base+i));
			fop.print("\t");
			
			fop.print(passAna.getPlayerPass(base+i));
			fop.print("\t");

			fop.print(passAna.getTotalPlayerPassReceive(base+i));
			fop.print("\t");
			
			fop.print(passAna.getTotalPlayerIntercept(base+i));
			fop.print("\t");
			
			fop.print(getPlayerDistance(base+i));
			fop.print("\t");

			writeLocation(fop, base+i, base+i);

			
		}


	}		

	//for evaluation
	private void writeTeamAnalysis(PrintWriter fop) throws IOException{
		
		//
		//ɾ̾Ϥ
		//		

		short evaTeam = 0;		
		short oppTeam = 0;

		System.out.println(getTeamName((int)CParam.CType_RIGHT).compareTo(CParam.oppTeamName));

		 System.out.println(getTeamName((int)CParam.CType_LEFT).compareTo(CParam.oppTeamName));

		 if ((getTeamName((int)CParam.CType_RIGHT).compareTo(CParam.oppTeamName) == 0) &&  (getTeamName((int)CParam.CType_LEFT).compareTo(CParam.oppTeamName) == 0)){

		     //ξबƱ̾ΤȤν
		     //ɾ,right¦ 
		     //(ǯ٤evaluationǤ)

		     evaTeam = CParam.CType_RIGHT;
		     oppTeam = CParam.CType_LEFT;

		     System.out.println("opponent team is left");

		}


		if ((getTeamName((int)CParam.CType_RIGHT).compareTo(CParam.oppTeamName)) == 0){

			evaTeam = CParam.CType_LEFT;
			oppTeam = CParam.CType_RIGHT;

			System.out.println("opponent team is right");

		}else if ((getTeamName((int)CParam.CType_LEFT).compareTo(CParam.oppTeamName)) == 0){
	
			evaTeam = CParam.CType_RIGHT;
			oppTeam = CParam.CType_LEFT;

			System.out.println("opponent team is left");

		}else{

			String s = CParam.oppTeamName+getTeamName((int)CParam.CType_LEFT)+getTeamName((int)CParam.CType_RIGHT);

			throw new IllegalArgumentException("illegal param "+s);
		}

		fop.print(getTeamName(evaTeam));

		fop.print("\t");

		//
		//եϤ
		//

		//Ȥꤢߡ
		fop.print("");

		fop.print("\t");

		//ɾΥɽ

		//temporary
		int i,j;

		if (evaTeam == CParam.CType_LEFT){
			i = 0;
			j = 1;
		}else{
			i = 1;
			j = 0;
		}
	
		fop.print(getScore(i));
		fop.print("\t");
		fop.print(getScore(j));
		fop.print("\t");
		
		//blank
		fop.print("\t");
		fop.print("\t");

		//
		//ŨʬϾɽ
		//

		//åο
		fop.print(kickAna.getTotalKick(oppTeam));
		fop.print("\t");
		
		//ѥ򤷤
		fop.print(passAna.getTotal(oppTeam));
		fop.print("\t");

		/*ȡǤ,ѥФ
		ѥƱ..........

		//ѥ
		fop.print(passAna.getTotalPassReceive(oppTeam));
		fop.print("\t");

		*/

		//󥿡ץȤο
		fop.print(passAna.getTotalIntercept(oppTeam));
		fop.print("\t");

		fop.print(getTeamDistance(oppTeam));
		fop.print("\t");

		fop.println();

	}

	private void writeLocation(PrintWriter fop, int from, int to){

		for(int i = from; i <= to; ++i){

			double	totalPosx = 0;
			double	totalPosy = 0;
			double   heikinx = 0;
			double   heikiny = 0;
			double  tempx = 0;
			double  tempy = 0;	

			for(int j = 0 ;j <= CParam.END_TIME - CParam.START_TIME + 1;j++){ 			

				totalPosx += anaPlayer[i].player.arrayx[j];
				totalPosy += anaPlayer[i].player.arrayy[j];
			
				//System.out.println("Y:"+anaPlayer[i].player.arrayy[j]);
			}

			heikinx = totalPosx/(CParam.END_TIME - CParam.START_TIME + 1);
			heikiny = totalPosy/(CParam.END_TIME - CParam.START_TIME + 1);	

			for(int j = 0 ;j <= CParam.END_TIME - CParam.START_TIME + 1;j++){ 
			
					tempx += Math.pow(heikinx-anaPlayer[i].player.arrayx[j],2);			
					tempy += Math.pow(heikiny-anaPlayer[i].player.arrayy[j],2);
					//System.out.println("tempx"+tempx);
			}			
		
			//System.out.println("tempx"+tempx);
			
			double bunsanX = Math.sqrt(tempx/(CParam.END_TIME - CParam.START_TIME + 1));
			double bunsanY = Math.sqrt(tempy/(CParam.END_TIME - CParam.START_TIME + 1));

			//*******************************//
			//    ʬΥ뤬¦   //
			//    ˤʤ褦˺ɸѴ   //
			//*******************************//
			
			if ( i <= 10){

				heikinx = -heikinx;
				heikiny = -heikiny;
				bunsanX = -bunsanX;
				bunsanY = -bunsanY;
			}

			int temp;

			//̰ʲڤΤ
                        heikinx= ((int)(heikinx*10))/(double)10;
                        heikiny = ((int)(heikiny*10))/(double)10;
                        bunsanX = ((int)(bunsanX*10))/(double)10;
                        bunsanY = ((int)(bunsanY*10))/(double)10;
			     
			fop.print(heikinx+"\t");
			fop.print(heikiny+"\t");
			fop.print(bunsanX+"\t");
			fop.print(bunsanY+"\t");

		}

		fop.println();

	}

	protected double calcAverage(double array[], int from, int to){
	 
		double total = 0.0;

		for(int i = from; i <= to; i++){

			total += array[i];			

		}
		
		return (total / (to - from + 1));

	}

	protected double calcVarience(double array[], double average, int from, int to){ 
		
		double temp = 0.0;
	
		for(int i = from; i <= to; i++){
			temp += Math.pow(average - array[i] , 2);	
		}	
	
		return Math.sqrt(temp / (to- from + 1));		

	}

	protected  void writeHeader(PrintWriter fop){

			fop.println("player\tkick\tpass\tIntcept\tDist\tAve.X\tAve.Y\tVar.X\tVar.Y");		
		
	}

	private void writePassMatrix(PrintWriter fop, int from, int to){

		int unum = 0;

		//write pass Matrix
		fop.println("pass matrix");
		//dummy
		fop.print("Recv->\t");
		
		//header
		for(int i= 1; i<= 11; ++i){
				fop.print((i)+"\t");					
		}		
		fop.println();
		fop.print("Passer");
		fop.println();			
		//
		for(int i = from; i <= to; ++i){		
	
			unum++;
		
			fop.print(unum+"\t");
			
			for(int j = from; j <= to; ++j){		
				
				if (anaPlayer[i-1].player.disable || anaPlayer[j-1].player.disable  ){	

					fop.print("*\t");

				}else{

					fop.print(anaPlayer[i-1].passMember[j-1]+"\t");	
			
				}
			}
			fop.println();		
			fop.println();

		}
	}


	
}

 
