//Robo Cup  Commentater  
import java.awt.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;
//
//default main window
//
public class MainPanel extends Panel implements Observer{

	PlayerWin pw;
	AnalyzeWin aw;
	AnalyzeInfo aInfo; 

	CReplay replay;	

	BufferedReplay buffReplay;
    /*
	MenuBar	menubar;
	Menu	menuFile;
	Menu	menuWindow;
   	Menu	menuOption;
	MenuItem	menuItemOpenFile;
	MenuItem	menuItemQuit;
	MenuItem	menuItemPlayers;
	MenuItem	menuItemKick;
	CheckboxMenuItem	menuItemSize;
	CheckboxMenuItem	menuItemKickCount;
    */
	Button 	btnQuit, btnKickOff;
	Button  btnDijest;
	Button  btnPause;
	//List	Msg_board ;			/* message board */
	//List	Log_board ;			/* log board */
	TextField	status_l ;		/* for left team */
	TextField	status_r ;		/* for right team */
	Label		status_t ;		/* to display time */
	Label		status_m ;		/* to display play mode */
	Label		goalscore_l ;
	Label		goalscore_r ;
	Label		dummyField1;
	Label		dummyField2;
	Label		dummyField3;
	Label		dummyField4;
	Panel 		headerPanel;
	Panel 		msgPanel;

	CField 		field;

	protected String logName;

	String teamNameL, teamNameR;

	static Color color_r = Color.blue; 
	static Color color_l = Color.red;
	static int board_rows = 6;
			
	MainPanel(){

	    //super("java soccermonitor");
		pw = new PlayerWin();
		aw = new AnalyzeWin();		
		init();		
	}
	void init(){
		//ե졼
		this.setLayout(new BorderLayout());
		this.setBackground(Color.white);

		//Creating Panel of menu bar & buttons & textField.

		/*
		createMenuBar();
		*/
		createHeaderPanel();

		createField();
		
		Dimension d = new Dimension();
		d = field.getSize();

		setSize( d.width, d.height);

		//addWindowListener(this);

	}	

	public void setLogName(String logName){
		this.logName = logName;
	}

	public MainPanel getMainWindow(){
		return this;
	}
	
	public CField getCField(){
		return field;
	}

	public PlayerWin getPlayerWin(){

		return pw;
	}

	public AnalyzeWin getAnalyzeWin(){

		return aw;
	}

	public void createBufferedReplay(String fname){

		System.out.println("start");

		buffReplay = new BufferedReplay(this, fname);

		buffReplay.open();

		System.out.println("end");

		System.gc();

	}	

    public void createBufferedReplay(DataInputStream dis){

	System.out.println("start");

	buffReplay = new BufferedReplay(this, dis);

	System.out.println("end");

	//buffReplay.open();

	System.gc();
		

    }



	public BufferedReplay getBufferedReplay(){

		return buffReplay;
				
	}

	public void fileEnd(){
	
		//åǤܥΥå
		btnKickOff.setEnabled(false);
		btnDijest .setEnabled(false);
		btnQuit   .setEnabled(false);
		btnPause  .setEnabled(false);
		
		}	

	//ReplayInfo줿ȤƤӽФ
	public void update(Observable o, Object arg){

		ReplayInfo rInfo = (ReplayInfo)o;		
							status_l.setText(rInfo.getTeamName(CParam.CType_LEFT).trim()+":"+rInfo.getScore(0));
status_r.setText(rInfo.getTeamName(CParam.CType_RIGHT).trim()+":"+rInfo.getScore(1));
		status_t.setText(new Integer(rInfo.getTime()).toString());
		status_m.setText(rInfo.getPlayMode());
		
	}	

	//˥塼Сκ
    /*
	private void createMenuBar(){

		menubar = new MenuBar();
		this.setMenuBar(menubar);
		menuFile = new Menu("File");
		menuWindow = new Menu("Window");
		menuOption = new Menu("Option");
		menuItemOpenFile = new MenuItem("Open Log File...");
		menuItemQuit     = new MenuItem("Quit...");
		
		menuFile.add(menuItemOpenFile);
		menuFile.add(menuItemQuit);
		menubar.add(menuFile);
		
		menuItemPlayers = new MenuItem("Players Information...");
		menuItemKick    = new MenuItem("Kick Result...");
		menuWindow.add(menuItemPlayers);
		menuWindow.add(menuItemKick);
		menubar.add(menuWindow);

		menuItemSize = new CheckboxMenuItem("Small size");
		menuItemKickCount = new CheckboxMenuItem("KickCount");	
		menuOption.add(menuItemSize);
		menuOption.add(menuItemKickCount); 
		menubar.add(menuOption);
		//ꥹʤؤϿ
		OpenFileAdapter ofa = new OpenFileAdapter(this);
		menuItemOpenFile.addActionListener(ofa);
		MenubarAdapter menuAdap = new MenubarAdapter();
		menuItemQuit.addActionListener(menuAdap);
		menuItemPlayers.addActionListener(menuAdap);
		menuItemKick.addActionListener(menuAdap);
		menuItemSize.addItemListener(menuAdap);
		menuItemKickCount.addItemListener(menuAdap);

		}
    */
	private void createHeaderPanel(){

		headerPanel = new Panel();
		headerPanel.setLayout(new GridLayout(2,6));
		status_l = new TextField("Team_L");
        	status_l.setEditable(false);
        	status_l.setBackground(color_l);
		status_r = new TextField("Team_R");
        	status_r.setEditable(false);
        	status_r.setBackground(color_r);
		status_t = new Label("00000");
		status_t.setAlignment(status_t.CENTER);
		status_m = new Label("before_kick_off");
		status_m.setAlignment(status_m.CENTER);		
		goalscore_l = new Label(" ");
		goalscore_r = new Label(" ");
		dummyField1 = new Label("      ");
		dummyField2 = new Label("      ");
		dummyField3 = new Label("      ");
	     dummyField4 = new Label("      ");
		btnQuit = new Button("Stop");
		btnKickOff = new Button("Play");
		btnDijest  = new Button("Analyze");
		btnPause   = new Button("Pause");
		teamNameL = new String("Team_L");
		teamNameR = new String("Team_R");
		btnKickOff.setEnabled(false);
		btnDijest .setEnabled(false);
		btnQuit.setEnabled(false);
		btnPause.setEnabled(false);
		msgPanel = new Panel();
		msgPanel.setLayout(new GridLayout(1,2));
		//Msg_board = new List(board_rows, false);
		//Log_board = new List(board_rows, false);
		headerPanel.add(btnKickOff);
		headerPanel.add(btnDijest);
		
	//	headerPanel.add(dummyField2);
		headerPanel.add(dummyField3);
		headerPanel.add(dummyField4);
		headerPanel.add(btnQuit);
		headerPanel.add(btnPause);

		//ܥΥꥹʤؤϿ
		ButtonAdapter buttonAdap = new ButtonAdapter();
		btnKickOff.addActionListener(buttonAdap);
		btnDijest.addActionListener(buttonAdap);
		btnQuit.addActionListener(buttonAdap);
		btnPause.addActionListener(buttonAdap);

		// lower
		headerPanel.add(status_l);
		headerPanel.add(goalscore_l);
		headerPanel.add(status_m);
		headerPanel.add(status_t);
		headerPanel.add(goalscore_r);
		headerPanel.add(status_r);
		// Adding field to this applet.
		this.add("North",headerPanel);
       		}
	//åեɤκ
	private void createField(){
		field = new CField();
		this.add("Center", field);
	}		
    /*	
	public void windowClosed(WindowEvent event) {
    	}
   	public void windowDeiconified(WindowEvent event) {
   	}
   	public void windowIconified(WindowEvent event) {
   	}
   	public void windowActivated(WindowEvent event) {
   	}
   	public void windowDeactivated(WindowEvent event) {
   	}
   	public void windowOpened(WindowEvent event) {
   	}
   	public void windowClosing(WindowEvent event) {
           System.exit(0);
   	}	
    */
    /*
	//˥塼СΥ٥ȽΤΥʡ饹
	class MenubarAdapter implements ActionListener,
									ItemListener {
		public void actionPerformed(ActionEvent e){

			Object source = e.getSource();
	
p			System.out.println("menuItemWait1");

			if (source.equals(menuItemQuit)){
				System.exit(0);
			}
			else if (source.equals(menuItemPlayers)){								
				pw.showWindow();
			}
			else if (source.equals(menuItemKick)){
			
				//aw.showWindow();
			}
			
		}
    */
    /*
		public void itemStateChanged(ItemEvent ie){	
		
			Object source = ie.getItem();
			
		
			System.out.println(ie.getStateChange());
			
			System.out.println(source);

			if (source.equals("Small size")){
						
				if (ie.getStateChange() == ItemEvent.SELECTED){

					field. length_magnify = (int)CParam.LENGTH_MAGNIFY_SMALL;

					field.clearGraphicsBuffer();	
					field.createGraphicsBuffer();
					field.repaint();				

				}else{

					field.length_magnify = (int)CParam.LENGTH_MAGNIFY_MIDDLE;

					field.clearGraphicsBuffer();	
					field.createGraphicsBuffer();
					field.repaint();				

					}
			}

			else if(source.equals("KickCount")){

				System.out.println("kick count off");				

			}


		}

	}
    */			
	//ܥΥ٥ȽΤΥʡ饹
	class ButtonAdapter implements ActionListener{
		
		
		
			    		
		public void actionPerformed(ActionEvent e){

			Object source = e.getSource();

			if (source == btnKickOff){
			
				replay = new CReplay(getMainWindow(), logName);
								
				replay.open();
	
				//System.out.println("logName = "+logName);

 				replay.start();

				btnKickOff.setEnabled(false);
				btnDijest .setEnabled(false);
				btnQuit   .setEnabled(true);
				btnPause  .setEnabled(true);
		}

			else if (source == btnDijest){

				SetTimeFrame std = new SetTimeFrame(getMainWindow());

				std.open();
								
				btnKickOff.setEnabled(false);
				btnDijest .setEnabled(false);
				btnQuit   .setEnabled(true);
				btnPause  .setEnabled(true);
				
			}
	
			else if (source == btnQuit){
				btnKickOff.setEnabled(false);
				btnDijest .setEnabled(false);
				btnQuit   .setEnabled(false);
				btnPause  .setEnabled(false);
	
				if (replay == null){	
								
					buffReplay.stop();						
					buffReplay = null;

				}else{

					replay.stop();						
					replay = null;	
				}


			}
			else if (source == btnPause){

				if (btnPause.getLabel() == "Pause"){
					replay.suspend();
					btnPause.setLabel("Restart");
				}
				else if (btnPause.getLabel() == "Restart"){
					replay.resume();
					btnPause.setLabel("Pause");

				}
			}

		}	
	}
}


	















