//Robo Cup  Commentater  
import java.awt.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;
//
//֥åΥɥ
//
public class ScoreBookWindow extends Frame implements WindowListener{

//
//GUI
//
	Panel upperPanel;

	ResultPanel resultPanel;
	TeamInfoPanel teamPanel;

	Checkbox resultCheckbox;
	Checkbox teamInfoCheckbox;

//		
//Ȥǡ
//	
	AnalyzeInfo ai;
	MainPanel  mw;

	public ScoreBookWindow(MainPanel mw, AnalyzeInfo ai){
	
		super("score book");
		
		this.ai = ai;
		this.mw = mw;

		resultPanel = new ResultPanel(ai);
		teamPanel = new TeamInfoPanel(ai,mw);

		setSize(700,180);

	}
	public void init(){

		setLayout(new BorderLayout());

		setBackground(Color.lightGray);

		createUpperPanel();				

		add(resultPanel, "Center");

	}

	protected void createUpperPanel(){

		upperPanel = new Panel();

		CheckboxGroup cbg = new CheckboxGroup();
		
		
		resultCheckbox = new Checkbox("RESULT", true, cbg);
		teamInfoCheckbox = new Checkbox("TEAM Info", false, cbg);

		CheckboxAdapter checkAdap = new CheckboxAdapter();

		resultCheckbox.addItemListener(checkAdap);
		teamInfoCheckbox.addItemListener(checkAdap);		

		upperPanel.add(resultCheckbox);
		upperPanel.add(teamInfoCheckbox);

		add(upperPanel, "North");

		addWindowListener(this);

	}

	class CheckboxAdapter implements ItemListener {
	
		public void itemStateChanged(ItemEvent ie){
	
			Object source = ie.getItem();		

			System.out.println(source);

			if (source.equals("RESULT")){

				remove(teamPanel);
				add(resultPanel, "Center");
				resultPanel.repaint();

			}
			else if(source.equals("TEAM Info")){

				remove(resultPanel);
				add(teamPanel, "Center");
				teamPanel.repaint();

			}else {

					System.out.println("illegal");

			}
			
		}		


	}

	public void windowClosed(WindowEvent event) {
    }
   	public void windowDeiconified(WindowEvent event) {
   	}
   	public void windowIconified(WindowEvent event) {
   	}
   	public void windowActivated(WindowEvent event) {
   	}
   	public void windowDeactivated(WindowEvent event) {
   	}
   	public void windowOpened(WindowEvent event) {
   	}
   	public void windowClosing(WindowEvent event) {
	    dispose();
   	}	

}

